package com.njcn.device.biz.enums;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2022年02月23日 15:24
 */
@Getter
public enum LineFlagEnum {

    /**
     * 区分监测点的类型标志
     */
    //非网公司
    LINE_MONITOR_NOT_NET_COMPANY(0),
    //网公司
    LINE_MONITOR_NET_COMPANY(1),
    //所有公司
    LINE_MONITOR_ALL(2),
    //电网侧
    LINE_POWER_GRID(0),
    //非电网侧
    LINE_POWER(1),
    //所有
    LINE_POWER_ALL(2);

    private final int flag;

    LineFlagEnum(int flag) {
        this.flag = flag;
    }

}
